For the complete documentation index, see llms.txt. This page is also available as Markdown.

Vendor Product Attribute

vendor product attribute list

get

vendor product attribute list

Query parameters
limitintegerOptional
offsetintegerOptional
keywordstringOptional
skustringOptional
statusstringOptional
priceintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got vendor product lists count. " or " Successfully got the complete vendor product list.
get/vendor-product-attribute/vendor-product-attribute-list
GET /vendor-product-attribute/vendor-product-attribute-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got vendor product lists count. \" or \" Successfully got the complete vendor product list."
}

Update vendor product attribute

post

Update a vendor product attribute

Header parameters
AuthorizationstringRequired
Body
productIdinteger · int32Optional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully updated the Product.
post/vendor-product-attribute/update-vendor-product/{id}
POST /vendor-product-attribute/update-vendor-product/{id} HTTP/1.1
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 68

{
  "productId": 1,
  "productAttribute": [
    {
      "attributeId": 1,
      "text": "text"
    }
  ]
}
{
  "status": 1,
  "message": "Successfully updated the Product."
}

Vendor product attribute detail

get

Get detail of vendor product attribute

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get productDetail
get/vendor-product-attribute/vendor-product-attribute-detail/{id}
GET /vendor-product-attribute/vendor-product-attribute-detail/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully get productDetail"
}

Attribute group list

get

Get list of attribute group

Query parameters
limitintegerOptional
offsetintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the attribute group list.
get/vendor-product-attribute/attribute-group
GET /vendor-product-attribute/attribute-group HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the attribute group list."
}

Last updated